TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get jetton masters

GET
/api/v3/jetton/masters

Query jetton masters that match the specified filters.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address?array<string>

Jetton master address in any form. Maximum: 1024 addresses.

admin_address?array<string>

Address of the jetton master's administrator in any form. Maximum: 1024 addresses.

limit?integer

Limit the number of rows to return. Use with offset to batch requests.

offset?integer

Skip the first N rows. Use with limit to batch requests.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/jetton/masters"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "jetton_masters": [
    {
      "address": "string",
      "admin_address": "string",
      "code_hash": "string",
      "data_hash": "string",
      "jetton_content": {},
      "jetton_wallet_code_hash": "string",
      "last_transaction_lt": "0",
      "mintable": true,
      "total_supply": "string"
    }
  ],
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  }
}
{
  "code": 0,
  "error": "string"
}